﻿using System;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Xml;

public partial class _Default : System.Web.UI.Page 
{
    protected void butGetXML_Click(object sender, EventArgs e)
    {
        XDocument xmlDoc = XDocument.Load(Server.MapPath("App_Data/Clientes.xml"));

        var clientes = from cliente in xmlDoc.Descendants("Cliente")
                      select new
                      {
                          Nome =  cliente.Element("Nome").Value,
                          Cidade = cliente.Element("Cidade").Value,
                          Idade = cliente.Element("Idade").Value,
                      };

        litXMLDados.Text = "";
        foreach (var cliente in clientes)
        {
            litXMLDados.Text = litXMLDados.Text + "Nome  : " + cliente.Nome + "<br />";
            litXMLDados.Text = litXMLDados.Text + "Cidade: " + cliente.Cidade + "<br />";
            litXMLDados.Text = litXMLDados.Text + "Idade : " + cliente.Idade + "<br /><br />";
        }

        if (litXMLDados.Text == "")
            litXMLDados.Text = "Nada encontrado.";
    }
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
            carregaDLL();
    }
    protected void carregaDLL()
    {
        XmlDocument doc = new XmlDocument();
        doc.Load(Server.MapPath("App_Data/Clientes.xml"));
        XmlNodeList nodeList = doc.SelectNodes("Clientes/Cliente");

        foreach (XmlNode node in nodeList)
            ddlCidade.Items.Add(new ListItem(node.SelectSingleNode("Cidade").InnerText));
    }
    protected void butFiltraXML_Click(object sender, EventArgs e)
    {
        XDocument xmlDoc = XDocument.Load(Server.MapPath("App_Data/Clientes.xml"));

        var clientes = from cliente in xmlDoc.Descendants("Cliente")
                      where cliente.Element("Cidade").Value == ddlCidade.SelectedItem.ToString()
                      select new
                      {
                          Nome = cliente.Element("Nome").Value,
                          Cidade = cliente.Element("Cidade").Value,
                          Idade = cliente.Element("Idade").Value,
                      };

        litXMLDados.Text = "";
        foreach (var cliente in clientes)
        {
            litXMLDados.Text = litXMLDados.Text + "Nome  : " + cliente.Nome + "<br />";
            litXMLDados.Text = litXMLDados.Text + "Cidade: " + cliente.Cidade + "<br />";
            litXMLDados.Text = litXMLDados.Text + "Idade : " + cliente.Idade + "<br /><br />";
        }

        if (litXMLDados.Text == "")
            litXMLDados.Text = "Nada encontrado.";
    }
}
